<?xml version="1.1" encoding="utf-8"?>
<extension type="component" method="upgrade">
<!-- 'version' attribute for extension tag is no longer used -->

    <name>SG Meteo</name>
    <!-- The following elements are optional and free of formatting constraints -->
    <creationDate>April 2022</creationDate>
    <!-- Dummy author, feel free to replace anywhere you see it-->
    <author>Studiogenesis</author>
    <authorUrl>https://studiogenesis.es</authorUrl>
    <copyright>Studiogenesis</copyright>
    <license>GPL v3</license>
    <!--  The version string is recorded in the components table -->
    <version>1.1</version>
    <!-- The description is optional and defaults to the name -->
    <description>
        Componente para syncro meteo
    </description>

    <!-- This is the PHP namespace under which the extension's
    code is organised. It should follow this format:
    
    Vendor\Component\ComponentName

    "Vendor" can be your company or your own name
    
    The "ComponentName" section MUST match the name used 
    everywhere else for your component. Whatever the name of 
    this XML file is, the namespace must match (ignoring CamelCase). 
    -->
    <namespace path="src/">Studiogenesis\Component\Sgmeteo</namespace>
            
    <administration>
        <!-- The link that will appear in the Admin panel's "Components" menu -->
        <menu link="index.php?option=com_sgmeteo">SG Meteo</menu>
        <!-- List of files and folders to copy. Note the 'folder' attribute.
             This is the name of the folder in your component package to copy FROM -->
        <files folder="admin/">
            <folder>services</folder>
            <folder>src</folder>
            <folder>tmpl</folder>
        </files>
    </administration>
        <api>
		<files folder="api/components/com_sgmeteo">
			<folder>src</folder>
		</files>
	</api>

</extension>